Jump to content
Melde dich an, um diesem Inhalt zu folgen  

Definition von Abhängigkeiten innerhalb von nuspec

Empfohlene Beiträge

Moin die Damen und Herren,

ich sollte kürzlich nuget packages von meinen .net sdk schnüren.

Bei den packages die keinerlei andere Nuget Abhängigkeiten haben, funktioniert das problemlos.

Allerdings muss ich in mehreren Packages auch Dependencies definieren. Das sollte ja laut msdn recht easy funktionieren (https://docs.microsoft.com/de-de/nuget/create-packages/creating-a-package)

Jetzt sagt mir allerding azure devops währen des Buildes das es folgenden Fehler gibt:

Zitat

##[error]The nuget command failed with exit code(1) and error(The element 'package' in namespace 'http://schemas.microsoft.com/packaging/2010/07/nuspec.xsd' has invalid child element 'dependencies' in namespace 'http://schemas.microsoft.com/packaging/2010/07/nuspec.xsd'. This validation error occurred in a 'dependencies' element.

Hier ist die aktuelle nuspec Datei:

<?xml version="1.0" encoding="utf-8"?>
<package>
  <metadata>
    <id>SDK.Extensions.DataLayer</id>
    <version>1.0.0</version>
    <authors>Simon</authors>
    <owners>GmbH</owners>
    <requireLicenseAcceptance>false</requireLicenseAcceptance>
    <description>SDK Extensions DataLayer Libraries</description>
    <tags>SDK Extensions</tags>
    <iconUrl>https://downloads.it.com/internal/logo.png</iconUrl>
  </metadata>
  <files>
    <!-- netstandard2.0 -->
	<file src="..\Bin\netstandard2.0\SDK.Extensions.DBLayer.Utilities.dll" target="lib\netstandard2.0\SDK.Extensions.DBLayer.Utilities.dll" />
    <file src="..\Bin\netstandard2.0\SDK.Extensions.DBLayer.Utilities.pdb" target="lib\netstandard2.0\SDK.Extensions.DBLayer.Utilities.pdb" />
  	<file src="..\Bin\netstandard2.0\SDK.Extensions.DataLayer.EFCoreLayer.dll" target="lib\netstandard2.0\SDK.Extensions.DataLayer.EFCoreLayer.dll" />
    <file src="..\Bin\netstandard2.0\SDK.Extensions.DataLayer.EFCoreLayer.pdb" target="lib\netstandard2.0\SDK.Extensions.DataLayer.EFCoreLayer.pdb" />
  </files>
  <dependencies>
    <dependency id="Microsoft.EntityFrameworkCore" version="2.2.6" />
    <dependency id="Microsoft.EntityFrameworkCore.Design" version="2.2.6" />
	<dependency id="Microsoft.EntityFrameworkCore.Sqlite.Core" version="2.2.6" />
	<dependency id="Microsoft.EntityFrameworkCore.SqlServer" version="2.2.6" />
	<dependency id="MySql.Data.EntityFrameworkCore" version="8.0.18" />
</dependencies>
</package>

Mir ist aufgefallen das die in der msdn referenzierte xsd scheinbar nicht mehr verfügbar ist.

Hat jemand eine Idee?

Ich verwende die aktuelleste Nuget innerhalb von azure devops.

 

Beste Grüße

Gateway

 

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Nimm an der Diskussion teil

Du kannst jetzt hier posten und Dich später registrieren. Wenn Du bereits über eine Konto verfügst, melde Dich jetzt an, um mit Deinem Konto zu posten.

Gast
Auf dieses Thema antworten...

×   Du hast formatierten Text eingefügt.   Formatierung jetzt entfernen

  Only 75 emoji are allowed.

×   Dein Link wurde automatisch eingebettet.   Einbetten rückgängig machen und als Link darstellen

×   Dein vorheriger Inhalt wurde wiederhergestellt.   Clear editor

×   Du kannst Bilder nicht direkt einfügen. Lade Bilder hoch oder lade sie von einer URL.

Melde dich an, um diesem Inhalt zu folgen  

Fachinformatiker.de, 2019 SE Internet Services

fidelogo_small.png

if_icon-6-mail-envelope-closed_314900.pnSchicken Sie uns eine Nachricht!

Fachinformatiker.de ist die größte IT-Community
rund um Ausbildung, Job, Weiterbildung für IT-Fachkräfte.

Fachinformatiker.de App


Get it on Google Play

Kontakt

Hier werben?
Oder senden Sie eine E-Mail an

Social media u. feeds

Jobboard für Fachinformatiker und IT-Fachkräfte

×
×
  • Neu erstellen...

Wichtige Information

Fachinformatiker.de verwendet Cookies. Mehr dazu in unserer Datenschutzerklärung